DNF5-GROUP(8)

NUME
dnf5-group - comanda «group»

SINOPSIS

dnf5 group {listă|info} [opțiuni] [<specificație-grup>...]

dnf5 group {install|remove|upgrade} [opțiuni] <specificație-grup>...

DESCRIERE

Comanda group din DNF5 oferă mai multe interogări pentru obținerea de informații despre grupuri, pachete legate de acestea și este utilizată și pentru instalarea grupurilor. Pentru a interoga mediile, utilizați comanda separată environment. Notă: dnf-4 lista atât mediile, cât și grupurile cu comanda group.

Argumentele opționale specificație-grup pot fi transmise pentru a filtra numai grupurile cu numele date.

SUBCOMENZI

list - listă
    Afișează toate grupurile coincidente, fie dintre grupurile instalate, fie dintre cele disponibile. Dacă nu se specifică nimic, afișează toate grupurile cunoscute. Opțiunile --installed și --available restrâng lista solicitată. Dacă se utilizează opțiunea --hidden, în listă sunt incluse și grupurile ascunse.

info
    Afișează informații detaliate despre grupuri. Comanda acceptă aceleași opțiuni ca și subcomanda list.

install
    Marchează grupurile specificate instalate și instalează pachetele pe care le conțin. Include și pachetele opționale ale grupului dacă este specificată opțiunea --with-optional. În mod implicit, toate pachetele Mandatory și Default vor fi instalate ori de câte ori este posibil. Pachetele Conditional sunt instalate dacă îndeplinesc cerințele. Acest lucru poate fi configurat prin dnf5-conf(5), group_package_types.

    Dacă grupul este deja (parțial) instalat, comanda instalează pachetele lipsă din grup.

    Dacă se utilizează opțiunea --no-packages, această comandă nu va instala niciun pachet nou. Numai pachetele de grup instalate în prezent sunt considerate a fi instalate împreună cu grupul.

remove
    Marchează grupul eliminat și elimină din sistem pachetele din grup care nu aparțin unui alt grup instalat și care nu au fost instalate în mod explicit de către utilizator.

    Dacă se utilizează opțiunea --no-packages, această comandă nu va elimina niciun pachet.

upgrade
    Actualizează definiția grupului specificat și pachetele aparținând grupului. Dacă au fost adăugate pachete noi la definiția curentă a grupului de la instalarea acestuia, pachetele noi vor fi instalate. De asemenea, dacă unele pachete au fost eliminate din definiția grupului, pachetele vor fi dezinstalate, cu excepția cazului în care au fost instalate dintr-un alt motiv (de exemplu, instalate în mod explicit de un utilizator sau instalate în mod implicit ca dependență).

OPȚIUNI PENTRU LISTĂ ȘI INFORMAȚII

--available
    Afișează numai grupurile disponibile. Cele care nu sunt instalate, dar cunoscute de DNF5.

--installed
    Afișează numai grupurile instalate.

--hidden
    Afișează, de asemenea, grupurile ascunse.

--contains-pkgs=NUME_PACHET,...
    Afișează numai grupurile care conțin pachete cu numele specificate. Opțiune listă, acceptă caractere joker.

OPȚIUNI PENTRU INSTALARE, DEZINSTALARE ȘI ACTUALIZARE

--with-optional
    Include pachetele opționale din grupuri.
    Se utilizează cu comanda install.

--no-packages
    Operează exclusiv asupra grupurilor fără a manipula niciun pachet.
    Se utilizează împreună cu comenzile install și remove.

--allowerasing
    Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.
    Se utilizează împreună cu comenzile install și upgrade.

--skip-broken
    Rezolvă orice probleme de dependență prin eliminarea din tranzacție a elementelor care cauzează probleme.
    Utilizată cu comanda install.

--skip-unavailable
    Permite omiterea pachetelor care nu pot fi instalate sau actualizate.
    Se utilizează cu comenzile install și upgrade.

--allow-downgrade
    Activează retrogradarea dependențelor la rezolvarea operației solicitate.
    Se utilizează cu comenzile install și upgrade.

--no-allow-downgrade
    Activează retrogradarea dependențelor la rezolvarea operației solicitate.
    Se utilizează cu comenzile install și upgrade.

--downloadonly
    Descarcă setul de pachete rezolvate fără a executa o tranzacție RPM.
    Se utilizează cu comenzile install și upgrade.

--offline
    Stochează tranzacția care urmează să fie efectuată fără conexiune„offline”. A se vedea dnf5-offline(8), Comanda offline.

EXEMPLE

dnf5 group list --hidden
    Afișează lista tuturor grupurilor, inclusiv a celor ascunse.

dnf5 group info *xfce*
    Afișează informații detaliate despre toate grupurile legate de Xfce.

dnf5 group install mysql --with-optional
    Instalează grupul mysql, inclusiv pachetele opționale.

dnf5 group upgrade mysql
    Aduce pachetele grupului mysql în conformitate cu definiția actuală
    a grupului.

CONSULTAȚI ȘI
dnf5-comps(7), Comps groups and environments
dnf5-specs(7), Patterns specification

AUTOR
A se vedea AUTHORS.md în distribuția sursei dnf5.

DREPTURI DE AUTOR
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.